Forum Discussion

JNor's avatar
JNor
New Contributor
4 years ago

Assertion error when attmepting to send any request SoapUI 5.6.0

We recently upgraded to SoapUI 5.6.0 and now all projects are throwing the following error at bottom of screen prior to any connection. The error is occurring across different installs. To my knowledge we aren't using any assertion in any of the projects.

Error getting response: java.lang.Exception: java.lang.AssertionError: Failed generating bytecode for <eval> : 345

5 Replies

  • nmrao's avatar
    nmrao
    Champion Level 3
    May be you want to take a look at the log file and see if there is more information.
    Are you getting that without any projects in the workspace as well?
    Any open projects when the error is thrown?
    Apart from throwing error, is it impacting any functionality?
    • ZDGN's avatar
      ZDGN
      Contributor

      Hi JNor 

       

      The error message is more about the JDK than your SoapUI projects.
      Do you use the java distribution provided by the SoapUI installer or the one installed on the machine ?
      It seems some 8 versions of the JDK have this kind of troubles.

       

      Let us know.

       

      David.

      • JNor's avatar
        JNor
        New Contributor

        To be honest this was a scripted install by support team. Here's the app configs. While it looks like it has the jars provided with SoapUi, it also has OpenJDK  listed as the runtime and vm. Is there a config within the application to point specifically to the vendor provided runtime?

         

        java.class.version=56.0

        java.home=c:\program files\smartbear\soapui-5.6.0\jre

        java.io.tmpdir=C:\Users\xxxxxxx\AppData\Local\Temp\

        java.library.path=C:\Program Files\SmartBear\SoapUI-5.6.0/bin

        java.runtime.name=OpenJDK Runtime Environment

        java.runtime.version=12.0.1+12

        java.specification.name=Java Platform API Specification

        java.specification.vendor=Oracle Corporation

        java.specification.version=12

        java.util.Arrays.useLegacyMergeSort=true

        java.vendor=Oracle Corporation

        java.vendor.url=https://java.oracle.com/

        java.vendor.url.bug=https://bugreport.java.com/bugreport/

        java.version=12.0.1

        java.version.date=2019-04-16

        java.vm.compressedOopsMode=32-bit

        java.vm.info=mixed mode

        java.vm.name=OpenJDK 64-Bit Server VM

        java.vm.specification.name=Java Virtual Machine Specification

        java.vm.specification.vendor=Oracle Corporation

        java.vm.specification.version=12

        java.vm.vendor=Oracle Corporation

        java.vm.version=12.0.1+12

        javafx.runtime.version=12+14

        javafx.version=12

         

        jdk.debug=release

    • JNor's avatar
      JNor
      New Contributor

      So far I haven't found any logs. Do you know of any? As for functionality, currently it's a brick on my machine. Can't submit any web service calls needed for testing. Attached is the only information the app provides for the error.

      • ZDGN's avatar
        ZDGN
        Contributor

        The config shows SoapUI is using the included java 12 JRE.

        May be you cloud see more into the log tab here:

         

        Or having a look at ..\SmartBear\SoapUI-5.6.0\bin\soapui.log